package com.bjzc.zjyxdxj.DBModel;

import android.os.Parcel;
import android.os.Parcelable;

import org.litepal.crud.DataSupport;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by ruihong on 2018/7/27.
 */

public class WjbrwList extends DataSupport implements Parcelable {

    private int id;
    private String state;
    private String msg;
    private List<WjbrwinfoList> data = new ArrayList<>();


    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<WjbrwinfoList> getData() {
        return data;
    }

    public void setData(List<WjbrwinfoList> data) {
        this.data = data;
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(this.id);
        dest.writeString(this.state);
        dest.writeString(this.msg);
        dest.writeList(this.data);
    }

    public WjbrwList() {
    }

    protected WjbrwList(Parcel in) {
        this.id = in.readInt();
        this.state = in.readString();
        this.msg = in.readString();
        this.data = new ArrayList<WjbrwinfoList>();
        in.readList(this.data, WjbrwinfoList.class.getClassLoader());
    }

    public static final Parcelable.Creator<WjbrwList> CREATOR = new Parcelable.Creator<WjbrwList>() {
        @Override
        public WjbrwList createFromParcel(Parcel source) {
            return new WjbrwList(source);
        }

        @Override
        public WjbrwList[] newArray(int size) {
            return new WjbrwList[size];
        }
    };
}
